version: '2'
services:
    mpm-app:
        image: mpm
        environment:
            - SPRING_PROFILES_ACTIVE=external,swagger
#            - SPRING_DATASOURCE_URL=jdbc:sqlserver://mpm-mssql:1433;database=jhitest
            - JHIPSTER_SLEEP=10 # gives time for the database to boot before the application
#            - SPRING_DATA_ELASTICSEARCH_CLUSTER_NODES=mpm-elasticsearch:9300
        ports:
            - 8082:8082
#    mpm-mssql:
#        extends:
#            file: mssql.yml
#            service: mpm-mssql
#    mpm-elasticsearch:
#        extends:
#            file: elasticsearch.yml
#            service: mpm-elasticsearch
